> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization representation types

> For receipts where the [category](https://developer.findity.com/reference/getorganizationcategories) has the type `RepresentationExpenseCategory` that category can use one or more representation types. The list of valid types is returned by this endpoint. However if you choose to use the [fields endpoint](https://developer.findity.com/reference/rendering-expense-views) you don't have to bother about this, just use the `url` property form the field to get the correct list of representation types



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/categories/{categoryId}/representationtypes
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/categories/{categoryId}/representationtypes:
    get:
      tags:
        - Organizations
      summary: Organization representation types
      description: >-
        For receipts where the
        [category](https://developer.findity.com/reference/getorganizationcategories)
        has the type `RepresentationExpenseCategory` that category can use one
        or more representation types. The list of valid types is returned by
        this endpoint. However if you choose to use the [fields
        endpoint](https://developer.findity.com/reference/rendering-expense-views)
        you don't have to bother about this, just use the `url` property form
        the field to get the correct list of representation types
      operationId: getOrganizationRepresentationTypes
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - name: categoryId
          in: path
          required: true
          description: The category id, needs to be a representation category
          schema:
            $ref: '#/components/schemas/Uuid'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/searchText'
        - $ref: '#/components/parameters/filter'
        - name: forDate
          in: query
          description: >-
            the date for which the expense is made, if omitted today's date is
            used
          required: false
          schema:
            type: string
            format: date
            example: '2023-01-01'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldList'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                not a representation category:
                  value:
                    result: error
                    code: NOT_A_REPRESENTATION_CATEGORY
                    description: Not a representation category
                invalid date format:
                  value:
                    result: error
                    code: INVALID_DATE
                    description: '''06/22'' is invalid, accepted format is yyyy-MM-dd'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                expense category not found:
                  value:
                    result: error
                    code: CATEGORY_NOT_FOUND
                    description: Category not found
                organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: >-
                      Failed to get organization for id:
                      b0d18fe3c5864d05a05ce5656cb14696
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    order:
      name: order
      in: query
      description: specifies the order
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
    searchText:
      name: searchText
      in: query
      description: free text to search for
      required: false
      schema:
        type: string
    filter:
      name: filter
      in: query
      description: filters values by passed id
      required: false
      schema:
        type: string
  schemas:
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    CustomFieldList:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
            sections:
              $ref: '#/components/schemas/Section'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Section:
      type: array
      items:
        properties:
          id:
            type: integer
          text:
            type: string
    CustomFieldListValue:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        section:
          type: integer
        icon:
          type: string
          format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````